import request from '@/utils/request'

// 查询用户登记结果列表
export function listResult(query) {
  return request({
    url: '/yiqing/result/list',
    method: 'get',
    params: query
  })
}

// 查询用户登记结果详细
export function getResult(id) {
  return request({
    url: '/yiqing/result/' + id,
    method: 'get'
  })
}

// 新增用户登记结果
export function addResult(data) {
  return request({
    url: '/yiqing/result',
    method: 'post',
    data: data
  })
}

// 修改用户登记结果
export function updateResult(data) {
  return request({
    url: '/yiqing/result',
    method: 'put',
    data: data
  })
}

// 删除用户登记结果
export function delResult(id) {
  return request({
    url: '/yiqing/result/' + id,
    method: 'delete'
  })
}

// 导出用户登记结果
export function exportResult(query) {
  return request({
    url: '/yiqing/result/export',
    method: 'get',
    params: query
  })
}